- NAME
- DESCRIPTION
- ARGUMENT

# NAME

RT::Action::SetStatus - RT's scrip action to set status of a ticket

# DESCRIPTION

This action changes status to a new value according to the rules in "ARGUMENT". Status is not changed if the transition is invalid or another error occurs. All issues are logged at appropriate levels.

# ARGUMENT

Argument can be one of the following:

status literally

  Status is changed from the current value to a new defined by the argument, but only if it's valid status and allowed by transitions of the current lifecycle, for example:

          * The current status is 'stalled'
          * Argument of this action is 'open'
          * The only possible transition in the schema from 'stalled' is 'open'
          * Status is changed

  However, in the example above Status is not changed if argument is anything else as it's just not allowed by the lifecycle.

'initial', 'active' or 'inactive'

  Status is changed from the current value to first possible 'initial', 'active' or 'inactive' correspondingly. First possible value is figured according to transitions to the target set, for example:

          * The current status is 'open'
          * Argument of this action is 'inactive'
          * Possible transitions from 'open' are 'resolved', 'rejected' or 'deleted'
          * Status is changed to 'resolved'

← Back to index